@import "./variables.scss";

@mixin m($units) {
    margin-top: ($spacing-unit * $units);
    margin-left: ($spacing-unit * $units);
    margin-bottom: ($spacing-unit * $units);
    margin-right: ($spacing-unit * $units);
}

@mixin mh($units) {
    margin-left: ($spacing-unit * $units);
    margin-right: ($spacing-unit * $units); 
}

@mixin mv($units) {
    margin-top: ($spacing-unit * $units);
    margin-bottom: ($spacing-unit * $units);
}

@mixin ml($units) {
    margin-left: ($spacing-unit * $units);
 
}

@mixin mr($units) {
    margin-right: ($spacing-unit * $units); 

}

@mixin mt($units) {
    margin-top: ($spacing-unit * $units);

}

@mixin mb($units) {
    margin-bottom: ($spacing-unit * $units);
}

@mixin p($units) {
    padding-top: ($spacing-unit * $units);
    padding-left: ($spacing-unit * $units);
    padding-bottom: ($spacing-unit * $units);
    padding-right: ($spacing-unit * $units);
}

@mixin ph($units) {
    padding-left: ($spacing-unit * $units);
    padding-right: ($spacing-unit * $units); 
}

@mixin pv($units) {
    padding-top: ($spacing-unit * $units);
    padding-bottom: ($spacing-unit * $units);
}

@mixin pl($units) {
    padding-left: ($spacing-unit * $units);
 
}

@mixin pr($units) {
    padding-right: ($spacing-unit * $units); 

}

@mixin pt($units) {
    padding-top: ($spacing-unit * $units);

}

@mixin pb($units) {
    padding-bottom: ($spacing-unit * $units);
}

.m-0 {
    @include m(0);
}
.m-1 {
    @include m(1);
}
.m-2 {
    @include m(2);
}
.m-3 {
    @include m(3);
}
.m-4 {
    @include m(4);
}
.m-5 {
    @include m(5);
}
.m-6 {
    @include m(6);
}
.m-7 {
    @include m(7);
}
.m-8 {
    @include m(8);
}
.m-9 {
    @include m(9);
}
.m-10 {
    @include m(10);
}

.mh-0 {
    @include mh(0);
}
.mh-1 {
    @include mh(1);
}
.mh-2 {
    @include mh(2);
}
.mh-3 {
    @include mh(3);
}
.mh-4 {
    @include mh(4);
}
.mh-5 {
    @include mh(5);
}
.mh-6 {
    @include mh(6);
}
.mh-7 {
    @include mh(7);
}
.mh-8 {
    @include mh(8);
}
.mh-9 {
    @include mh(9);
}
.mh-10 {
    @include mh(10);
}

.mv-0 {
    @include mv(0);
}
.mv-1 {
    @include mv(1);
}
.mv-2 {
    @include mv(2);
}
.mv-3 {
    @include mv(3);
}
.mv-4 {
    @include mv(4);
}
.mv-5 {
    @include mv(5);
}
.mv-6 {
    @include mv(6);
}
.mv-7 {
    @include mv(7);
}
.mv-8 {
    @include mv(8);
}
.mv-9 {
    @include mv(9);
}
.mv-10 {
    @include mv(10);
}

.ml-0 {
    @include ml(0);
}
.ml-1 {
    @include ml(1);
}
.ml-2 {
    @include ml(2);
}
.ml-3 {
    @include ml(3);
}
.ml-4 {
    @include ml(4);
}
.ml-5 {
    @include ml(5);
}
.ml-6 {
    @include ml(6);
}
.ml-7 {
    @include ml(7);
}
.ml-8 {
    @include ml(8);
}
.ml-9 {
    @include ml(9);
}
.ml-10 {
    @include ml(10);
}

.mr-0 {
    @include mr(0);
}
.mr-1 {
    @include mr(1);
}
.mr-2 {
    @include mr(2);
}
.mr-3 {
    @include mr(3);
}
.mr-4 {
    @include mr(4);
}
.mr-5 {
    @include mr(5);
}
.mr-6 {
    @include mr(6);
}
.mr-7 {
    @include mr(7);
}
.mr-8 {
    @include mr(8);
}
.mr-9 {
    @include mr(9);
}
.mr-10 {
    @include mr(10);
}

.mt-0 {
    @include mt(0);
}
.mt-1 {
    @include mt(1);
}
.mt-2 {
    @include mt(2);
}
.mt-3 {
    @include mt(3);
}
.mt-4 {
    @include mt(4);
}
.mt-5 {
    @include mt(5);
}
.mt-6 {
    @include mt(6);
}
.mt-7 {
    @include mt(7);
}
.mt-8 {
    @include mt(8);
}
.mt-9 {
    @include mt(9);
}
.mt-10 {
    @include mt(10);
}

.mb-0 {
    @include mb(0);
}
.mb-1 {
    @include mb(1);
}
.mb-2 {
    @include mb(2);
}
.mb-3 {
    @include mb(3);
}
.mb-4 {
    @include mb(4);
}
.mb-5 {
    @include mb(5);
}
.mb-6 {
    @include mb(6);
}
.mb-7 {
    @include mb(7);
}
.mb-8 {
    @include mb(8);
}
.mb-9 {
    @include mb(9);
}
.mb-10 {
    @include mb(10);
}


.p-0 {
    @include p(0);
}
.p-1 {
    @include p(1);
}
.p-2 {
    @include p(2);
}
.p-3 {
    @include p(3);
}
.p-4 {
    @include p(4);
}
.p-5 {
    @include p(5);
}
.p-6 {
    @include p(6);
}
.p-7 {
    @include p(7);
}
.p-8 {
    @include p(8);
}
.p-9 {
    @include p(9);
}
.p-10 {
    @include p(10);
}

.ph-0 {
    @include ph(0);
}
.ph-1 {
    @include ph(1);
}
.ph-2 {
    @include ph(2);
}
.ph-3 {
    @include ph(3);
}
.ph-4 {
    @include ph(4);
}
.ph-5 {
    @include ph(5);
}
.ph-6 {
    @include ph(6);
}
.ph-7 {
    @include ph(7);
}
.ph-8 {
    @include ph(8);
}
.ph-9 {
    @include ph(9);
}
.ph-10 {
    @include ph(10);
}

.pv-0 {
    @include pv(0);
}
.pv-1 {
    @include pv(1);
}
.pv-2 {
    @include pv(2);
}
.pv-3 {
    @include pv(3);
}
.pv-4 {
    @include pv(4);
}
.pv-5 {
    @include pv(5);
}
.pv-6 {
    @include pv(6);
}
.pv-7 {
    @include pv(7);
}
.pv-8 {
    @include pv(8);
}
.pv-9 {
    @include pv(9);
}
.pv-10 {
    @include pv(10);
}

.pl-0 {
    @include pl(0);
}
.pl-1 {
    @include pl(1);
}
.pl-2 {
    @include pl(2);
}
.pl-3 {
    @include pl(3);
}
.pl-4 {
    @include pl(4);
}
.pl-5 {
    @include pl(5);
}
.pl-6 {
    @include pl(6);
}
.pl-7 {
    @include pl(7);
}
.pl-8 {
    @include pl(8);
}
.pl-9 {
    @include pl(9);
}
.pl-10 {
    @include pl(10);
}

.pr-0 {
    @include pr(0);
}
.pr-1 {
    @include pr(1);
}
.pr-2 {
    @include pr(2);
}
.pr-3 {
    @include pr(3);
}
.pr-4 {
    @include pr(4);
}
.pr-5 {
    @include pr(5);
}
.pr-6 {
    @include pr(6);
}
.pr-7 {
    @include pr(7);
}
.pr-8 {
    @include pr(8);
}
.pr-9 {
    @include pr(9);
}
.pr-10 {
    @include pr(10);
}

.pt-0 {
    @include pt(0);
}
.pt-1 {
    @include pt(1);
}
.pt-2 {
    @include pt(2);
}
.pt-3 {
    @include pt(3);
}
.pt-4 {
    @include pt(4);
}
.pt-5 {
    @include pt(5);
}
.pt-6 {
    @include pt(6);
}
.pt-7 {
    @include pt(7);
}
.pt-8 {
    @include pt(8);
}
.pt-9 {
    @include pt(9);
}
.pt-10 {
    @include pt(10);
}

.pb-0 {
    @include pb(0);
}
.pb-1 {
    @include pb(1);
}
.pb-2 {
    @include pb(2);
}
.pb-3 {
    @include pb(3);
}
.pb-4 {
    @include pb(4);
}
.pb-5 {
    @include pb(5);
}
.pb-6 {
    @include pb(6);
}
.pb-7 {
    @include pb(7);
}
.pb-8 {
    @include pb(8);
}
.pb-9 {
    @include pb(9);
}
.pb-10 {
    @include pb(10);
}
